11.3. 安装软件

PPD(PostScript 打印机描述)是描述属性(例如,分辨率)和选项(例如,双面打印单位的可用性)的计算机语言。这些描述对于使用 CUPS 中的各个打印机选项是必需的。如果没有 PPD 文件,打印数据将被以“原始”状态转发到打印机,通常这不是希望出现的情况。在 SUSE Linux 安装过程中,将预安装多个 PPD 文件,使系统甚至可以使用不带 PostScript 支持的打印机。

要配置 PostScript 打印机,最佳的方法是获得一个合适的 PPD 文件。包 manufacturer-PPDs 中提供许多 PPD 文件,标准安装会自动安装此包。请参见第 11.6.3 节 “多种包中的 PPD 文件”第 11.7.2 节 “没有合适的 PPD 文件可用于 PostScript 打印机”

可以将新 PPD 文件储存在目录 /usr/share/cups/model/ 中或使用 YaST 添加到打印系统中(请参见第 11.4.1.2 节 “手工配置”)。随后,可以在安装过程中选择 PPD 文件。

如果打印机制造商要求您除修改配置文件之外安装整个软件包,则一定要注意。首先,这种安装将导致丢失 SUSE Linux 提供的支持;其次,打印命令将以不同的方式工作,系统可能不再能处理其它制造商的设备。出于此原因,不建议安装制造商软件。